Bug 11606 - Novelist Select in Staff Client
Summary: Novelist Select in Staff Client
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 6902
Blocks: 19882
  Show dependency treegraph
 
Reported: 2014-01-24 13:52 UTC by Nicole C. Engard
Modified: 2017-12-27 16:13 UTC (History)
7 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 11606 - Add nvelist client to staff (8.52 KB, patch)
2016-06-03 01:06 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 11606: Add Novelist client to staff (8.60 KB, patch)
2016-06-14 15:42 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 11606: (followup) minor typos (1.95 KB, patch)
2016-06-14 15:42 UTC, Jesse Weaver
Details | Diff | Splinter Review
Bug 11606: Add Novelist client to staff (8.71 KB, patch)
2016-06-14 15:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 11606: (followup) minor typos (2.06 KB, patch)
2016-06-14 15:55 UTC, Nicole C. Engard
Details | Diff | Splinter Review
[PASSED QA] Bug 11606: Add Novelist client to staff (8.78 KB, patch)
2016-07-15 08:16 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 11606: (followup) minor typos (2.13 KB, patch)
2016-07-15 08:17 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2014-01-24 13:52:23 UTC
It would be great if the Novelist Select content could show in the staff client as well as the OPAC
Comment 1 Nick Clemens 2016-05-25 23:52:09 UTC
Work to be done:
1) Add new system preferences:
a) NovelistSelectStaffEnabled
b) NovelistSelectStaffProfile
c) NovelistSelectStaffPassword
2) Modify catalogue/detail.pl ( when NovelistSelectStaffEnabled is enabled ) to
a) Include https://imageserver.ebscohost.com/novelistselect/ns2init.js
b) Create a new tab titled "Novelist Select" in the list of tabs
c) Populate the div connected to this tab with the html needed for ns2init.js to function correctly
d) Call novSelect.loadContentForQuery using the jQuery method $().ready to trigger the call as soon as that part of the DOM is loaded.
3) Update the Koha OPAC code to use loadContentForQuery rather than the deprecated loadContentForISBN
Comment 2 Nick Clemens 2016-06-03 01:06:04 UTC Comment hidden (obsolete)
Comment 3 Nick Clemens 2016-06-03 01:24:49 UTC
Opac update moved to bug 16641
Comment 4 Jesse Weaver 2016-06-14 15:42:26 UTC Comment hidden (obsolete)
Comment 5 Jesse Weaver 2016-06-14 15:42:42 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2016-06-14 15:55:41 UTC Comment hidden (obsolete)
Comment 7 Nicole C. Engard 2016-06-14 15:55:47 UTC Comment hidden (obsolete)
Comment 8 Katrin Fischer 2016-07-15 08:15:40 UTC
Applies cleanly, passes QA script, doesn't appear to break the detail view, has a lot of sign-offs. I can't confirm the actual functionality as I don't have the needed account information from Novelist, but I am going to pass this on the ground of 'doesn't seem to break things'. It could be nice if one of the testers could confirm it still works ok once its pushed to master.
Comment 9 Katrin Fischer 2016-07-15 08:16:25 UTC
Created attachment 53416 [details] [review]
[PASSED QA] Bug 11606: Add Novelist client to staff

To test:
1 - Apply patches
2 - Update database
3 - View detail pages for some records and ensure no changes have been made
4 - Enable NovelistSelectStaffEnabled (and enter or have info in the
        Profile and password)
5 - Set NovelistSelectStaffView to 'above'
6 - View detail pages for some records, verify that if novelist info is
available it is displyaed and nothign is displayed if not
7 - Repeat with all staff view options

Sponsored by:
   Walla Walla Public Library (http://www.wallawallapubliclibrary.org/)
   Los Gatos Library (http://www.losgatosca.gov/42/Los-Gatos-Library)

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Internal signoff.

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Dwayne Nance <dnance@ebsco.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 10 Katrin Fischer 2016-07-15 08:17:30 UTC
Created attachment 53417 [details] [review]
[PASSED QA] Bug 11606: (followup) minor typos

Signed-off-by: Jesse Weaver <jweaver@bywatersolutions.com>
Internal signoff.

Signed-off-by: Alexis Rodegerdts <arodegerdts@wallawallawa.gov>

Signed-off-by: Dwayne Nance <dnance@ebsco.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Kyle M Hall 2016-07-22 17:16:25 UTC
Pushed to master for 16.11, thanks Nick, Jesse!